package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

/**
 * @author WangYao
 * @date 2018/6/30 21:11
 * @description 模块功能类型字典
 */
public class DicModuleActionType {
    public static final String MODULE = "模块";
    public static final String ACTION = "功能";

    private static DicModuleActionType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicModuleActionType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(MODULE, MODULE);
        dicMap.put(ACTION, ACTION);
    }

    public static DicModuleActionType getInstacne(){
        if (instance == null)
        {
            instance = new DicModuleActionType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
